Skip to main content

IPFS, EOS and Email

API Endpoint​

POST
https://api.ovcode.com/ovcode-file/file/authentication/ipfs/sm-eos/email

Request Headers​

Ocp-Apim-Subscription-Key
Your Enterprise Subscription Key
Api-Key
Your Enterprise Project API Key

Request Body multipart/form-data​

Payload
fileSupport Common File Types While Ensuring the Exclusion of Vulnerable or Unsecured Files.
subjectThe subject of an email is a brief statement or phrase that summarizes the content or purpose of the message.
toSpecifies the recipient's email address.
bodyThe body of an email is the main content area where you compose your message.
ccCC stands for "carbon copy," and it is used to send a copy of the email to additional recipients.
is_htmltrue or false value to specify the email body format.

Optional Payload​

OVI Reference
encrypted_reference (optional)Generate an OVI Reference to be embedded within the document.   Learn more.
encrypted_ovi (optional)Generate an Encrypted OVI Reference + JSON Data for Embedding in the Document with your JSON Data.   Learn more.

API Response​

Success
{
"success": true,
"data": {
"reference": "D-550e8400-e29b-41d4-a716-446655440000",
"hash": "c8f0499x0x5791b56bbex56b9ee5bx199210f9x329eb9e4xc122c8650db229c1",
"pipeline": "<Pipeline>"
},
"error": null
}

Error
{
"success": false,
"data": null,
"error": "<Error Message>"
}

HTTP Status Codes​

CodeDescription
200OK
201Created
204No Content
400Bad Request
401Unauthorized
404Not Found
415Unsupported Media Type
500Internal Server Error